mysqli::stmt_init
mysqli::thread_id
MySQLi
PHP Manual

# mysqli::store_result

# mysqli_store_result

(PHP 5)

mysqli::store_result -- mysqli_store_result — Transfers a result set from the last query

### Description

Object oriented style (method):

mysqli_result store_result ( void )

Procedural style:

mysqli_result mysqli_store_result ( mysqli `$link` )

Transfers the result set from the last query on the database connection represented by the `link` parameter to be used with the mysqli_data_seek() function.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

Returns a buffered result object or `FALSE` if an error occurred.

> Note: mysqli_store_result() returns `FALSE` in case the query didn't return a result set (if the query was, for example an INSERT statement). This function also returns `FALSE` if the reading of the result set failed. You can check if you have got an error by checking if mysqli_error() doesn't return an empty string, if mysqli_errno() returns a non zero value, or if mysqli_field_count() returns a non zero value. Also possible reason for this function returning `FALSE` after successfull call to mysqli_query() can be too large result set (memory for it cannot be allocated). If mysqli_field_count() returns a non-zero value, the statement should have produced a non-empty result set.

### Notes

> Note: Although it is always good practice to free the memory used by the result of a query using the mysqli_free_result() function, when transfering large result sets using the mysqli_store_result() this becomes particularly important.

### Examples

See mysqli_multi_query().

### See Also

- mysqli_real_query()
- mysqli_use_result()

mysqli::stmt_init
mysqli::thread_id
MySQLi
PHP Manual